Update Data Source with specified ID
Update Data Source with specified ID. If the current user is not an admin, then only their individual credentials are updated. Otherwise, the shared credentials are updated. If updating a Starburst-powered Data Source, please remember to restart the Starburst cluster in the UI for the changes to take effect. Requires Data Source management privileges
curl --request PATCH \
--url https://mycluster.domino.tech/api/datasource/v1/datasources/{dataSourceId} \
--header 'Content-Type: application/json' \
--header 'X-Domino-Api-Key: <api-key>' \
--data '
{
"config": {
"host": "example-host.com"
}
}
'import requests
url = "https://mycluster.domino.tech/api/datasource/v1/datasources/{dataSourceId}"
payload = { "config": { "host": "example-host.com" } }
headers = {
"X-Domino-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Domino-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({config: {host: 'example-host.com'}})
};
fetch('https://mycluster.domino.tech/api/datasource/v1/datasources/{dataSourceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/datasource/v1/datasources/{dataSourceId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'config' => [
'host' => 'example-host.com'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Domino-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/datasource/v1/datasources/{dataSourceId}"
payload := strings.NewReader("{\n \"config\": {\n \"host\": \"example-host.com\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-Domino-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://mycluster.domino.tech/api/datasource/v1/datasources/{dataSourceId}")
.header("X-Domino-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"config\": {\n \"host\": \"example-host.com\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/datasource/v1/datasources/{dataSourceId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-Domino-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"config\": {\n \"host\": \"example-host.com\"\n }\n}"
response = http.request(request)
puts response.read_body{
"authType": "AzureBasic",
"config": {
"host": "example-host.com"
},
"credentialType": "Individual",
"dataSourceType": "ADLSConfig",
"displayName": "Azure Data Lake Store",
"id": "62604702b7e5d347dbe7a909",
"lastUpdated": "2022-04-23T18:25:43.511Z",
"name": "data-source-name",
"ownerId": "62604702b7e5d347dbe7a909",
"ownerUsername": "owner-username",
"permissions": {
"isEveryone": true,
"userAndOrganizationIds": [
"<string>"
]
},
"description": "My Data Source"
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Path Parameters
ID of Data Source to update
Body
Users and projects to add and remove
Response
Success
The type of Data Source authentication
"AzureBasic"
A map of configuration name -> value
Show child attributes
Show child attributes
{ "host": "example-host.com" }
Whether the credentials is individual to a user or shared
Individual, Shared The configuration type of the Data Source
"ADLSConfig"
Data Source display name
"Azure Data Lake Store"
ID of the Data Source
"62604702b7e5d347dbe7a909"
ISO 8601 formatted time of when the Data Source was last updated
"2022-04-23T18:25:43.511Z"
User given name of the Data Source
"data-source-name"
ID of the Data Source owner
"62604702b7e5d347dbe7a909"
Username of the owner of the Data Source
"owner-username"
Show child attributes
Show child attributes
Description of the Data Source
"My Data Source"
Was this page helpful?
curl --request PATCH \
--url https://mycluster.domino.tech/api/datasource/v1/datasources/{dataSourceId} \
--header 'Content-Type: application/json' \
--header 'X-Domino-Api-Key: <api-key>' \
--data '
{
"config": {
"host": "example-host.com"
}
}
'import requests
url = "https://mycluster.domino.tech/api/datasource/v1/datasources/{dataSourceId}"
payload = { "config": { "host": "example-host.com" } }
headers = {
"X-Domino-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Domino-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({config: {host: 'example-host.com'}})
};
fetch('https://mycluster.domino.tech/api/datasource/v1/datasources/{dataSourceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/datasource/v1/datasources/{dataSourceId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'config' => [
'host' => 'example-host.com'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Domino-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/datasource/v1/datasources/{dataSourceId}"
payload := strings.NewReader("{\n \"config\": {\n \"host\": \"example-host.com\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-Domino-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://mycluster.domino.tech/api/datasource/v1/datasources/{dataSourceId}")
.header("X-Domino-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"config\": {\n \"host\": \"example-host.com\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/datasource/v1/datasources/{dataSourceId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-Domino-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"config\": {\n \"host\": \"example-host.com\"\n }\n}"
response = http.request(request)
puts response.read_body{
"authType": "AzureBasic",
"config": {
"host": "example-host.com"
},
"credentialType": "Individual",
"dataSourceType": "ADLSConfig",
"displayName": "Azure Data Lake Store",
"id": "62604702b7e5d347dbe7a909",
"lastUpdated": "2022-04-23T18:25:43.511Z",
"name": "data-source-name",
"ownerId": "62604702b7e5d347dbe7a909",
"ownerUsername": "owner-username",
"permissions": {
"isEveryone": true,
"userAndOrganizationIds": [
"<string>"
]
},
"description": "My Data Source"
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}